def identify_adducts_MS2(df, masses, custom_adducts = None, method = "pearson", threshold = 0.90, mass_error = 2):
    
    """Finds different ion species of a single analyte molecule. 
    Computes pointwise correlation of XIC traces to identify in-source adducts or in-source fragments
    generated during direct infusion mass spectrometric data aquisition. 
    Putative identification of adducts and fragments is based on a correlation threshold and mass differences. 
    
    Parameters
    ----------    
    ...
    
    Returns
    -------
    A dictionary of DataFrames containing pairwise information about correlation of XIC traces and 
    putatively identified in-source adducts or in-source fragments.
    

        
    See Also
    --------
    DBDIpy.align_spectra(), DBDIpy.impute_intensities() : For preparation of the input data.
    
    """

        
    return reslist